%global _vpath_srcdir contrib/meson

Summary:        LZ4 is lossless compression algorithm 
Name:           lz4
Version:        1.9.4
Release:        3%{?dist}
License:        GPLv2+ and BSD
URL:            https://lz4.github.io/lz4/
Source0:        https://github.com/lz4/lz4/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make gcc meson >= 0.43

%description
LZ4 is lossless compression algorithm, providing compression speed > 500 MB/s
per core (>0.15 Bytes/cycle). It features an extremely fast decoder, with speed
in multiple GB/s per core (~1 Byte/cycle). A high compression derivative, called
LZ4_HC, is available, trading customizable CPU time for compression ratio. LZ4
library is provided as open source software using a BSD license.

%package        libs
Summary:        Libaries for lz4

%description    libs
This package contains the libaries for lz4.

%package        devel
Summary:        Development files for lz4
Requires:       %{name}-libs = %{version}-%{release}

%description    devel
This package includes header files, libraries necessary for
developing programs which use liblz4 library.

%package        static
Summary:        Static library for lz4

%description    static
This package includes static libraries necessary for static
linking of applications.

%prep
%autosetup

%build
%meson -Dprograms=true -Ddefault_library=both
%meson_build

%install
%meson_install

%files
%license programs/COPYING
%doc NEWS
%{_bindir}/*
%{_mandir}/man1/*

%files libs
%doc lib/LICENSE
%{_libdir}/liblz4.so.*

%files devel
%{_includedir}/lz4*.h
%{_libdir}/liblz4.so
%{_libdir}/pkgconfig/liblz4.pc

%files static
%doc lib/LICENSE
%{_libdir}/liblz4.a

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.4-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.4-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 1 2023 Shuo Wang <abushwang@tencent.com> - 1.9.4-1
- update to 1.9.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 26 2022 ZoeDong <zoedong@tencent.com> - 1.9.3-1
- Initial build

